<?php
//
// Laboratorio di Basi di dati - 2012/2013
// Esempio di classe per l'interazione con una base di dati in PHP
// Alberto Belussi
//

require_once('CorsoStudiBean.php');

class DBMS
{
  private $host = "dbserver.scienze.univr.it";
  private $user = "userlab00";
  private $pass = "zero0";
  private $db = "did2013";
  private $connection = null;

  function __construct()
  {
	$this->connection = pg_Connect("host=$this->host dbname=$this->db user=$this->user password=$this->pass");
	
  }

  function getNomeDipart ($idDip)
  {
    pg_prepare($this->connection, "q1",
				"SELECT 'Dipartimento '||coalesce(prefisso,'')||CASE prefisso='' WHEN FALSE THEN ' ' ELSE '' END||nome as nome
                           FROM dipart 
                           WHERE id = $1");
    //  
    $result = pg_execute($this->connection, "q1", array($idDip));
    $row = pg_fetch_array($result);
	return $row["nome"];
  }

  function getCorsiLaurea ($idDip)
  {
	pg_prepare($this->connection, "q2",
				"SELECT cs.id, cs.codice as codice, cs.nome as nome
                           FROM corsostudi cs JOIN corsoInDipart csd ON cs.id = csd.id0_corsostudi
                           WHERE cs.id_tipocs IN (5,20) and csd.id1_dipart = $1");
	$result = pg_execute($this->connection, "q2", array($idDip));
	$list = array();
	while($row = pg_fetch_assoc($result)) {
		$cs = new CorsoStudiBean();
		$cs->set_id($row["id"]);
        $cs->set_codice($row["codice"]);
        $cs->set_nome($row["nome"]);
		
		$list[] = $cs;
	}
	return $list;
  }
  function closeConnection ()
  {
	pg_close($this->connection);
  }

}
?>
